# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
Settings for the IQPortal Django project
"""

from basesoft.settings.settings import *
from blackbox.settings.settings import *
from epr.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

from basesoft.settings.debug import add_test_apps
INSTALLED_APPS = BASE_APPS + IQUBE_APPS + IQREPORT_APPS + WEEE_APPS + EPR_APPS + BLACKBOX_APPS
add_test_apps(INSTALLED_APPS)

DB_CONNSTR = 'mysql://iq_bb2_st:e9hegQpD@db.clusternet:3306/iqportal_weeeblackbox_stable?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iq_bb2_st_ro:BWdCegge@db-ro.clusternet:3306/iqportal_weeeblackbox_stable?charset=utf8'
DB_CONNSTR_WEEEBLACKBOX = 'mysql://weee_stable:6aVe4Rud@db.clusternet:3306/WEEEBLACKBOX_STABLE?charset=utf8'

BASE_URL = 'https://www.weeeblackbox.com/';

# Trac DB connstr to make custom datasource for searchable overviews
TRAC_CONNSTR = 'http://IQPortal:m8metrU3@trac.iqportal.basesoft.com/login/xmlrpc'
TRAC_IQPORTAL_VERSION = 'weeeblackbox-stable'
TRAC_DB_CONNSTR = 'mysql://trac:tePRedutha2a@db.clusternet:3306/trac_iqportal?charset=utf8'

EMAIL_SUBJECT_PREFIX = '[weeeblackbox-stable] '

EMAIL_HOST = 'mail.clusternet'
