
from django.utils.translation import ugettext_lazy as _
from basesoft.web.contrib.dashboard.controllers import DashboardWidgetStateController, DashboardWidgetCQStateController
from basesoft.util.ordered_dict import OrderedDict


class CBSDataWidget(DashboardWidgetStateController):
    """
    CBS Data Widget
    """

    name = 'cbs_data_widget'
    label = _('CBS Data')
    category = 'IQReport'
    permissions = ['view_cbs_data']
    classname = 'palette_group__menu--iqreport'

widgets_mapper = OrderedDict([
     ('CBSDataWidget', CBSDataWidget),

])