# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
settings file for testing a release in a local docker environment
see related/docker/compose/release/local.yml
"""

from basesoft.settings.settings import *
# from pvcycle.settings.settings import *
# from we.settings.settings import *
# from iqportal.tnt.settings.settings import *
from blackbox.settings.settings import *
from epr.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

# FIXME: enable all apps:
# INSTALLED_APPS = INSTALLED_APPS + TNT_APPS + PVCYCLE_APPS + WEEE_APPS + WE_APPS + EPR_APPS + BLACKBOX_APPS + PVCYCLE_UAT + UAT_APPS + WE_UAT

# for now, only blackbox2
from basesoft.settings.debug import add_test_apps
INSTALLED_APPS = BASE_APPS + WEEE_APPS + EPR_APPS + BLACKBOX_APPS
add_test_apps(INSTALLED_APPS)

# docker run --name mysql-testing2 -p 3306:3306 -e MYSQL_ROOT_PASSWORD=f00b4r -d mysql:5.5
DB_CONNSTR = 'mysql://root:f00b4r@mysql:3306/iqportal_testing?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://root:f00b4r@mysql:3306/iqportal_testing?charset=utf8'

BASE_URL = 'http://0.0.0.0/';

# fixme
# MONDRIAN_XMLA_SERVER = ('db4.clusternet', 8080)
# MONDRIAN_XMLA_PATH = '/iqube-testing/xmla'
# IQUBE_SERVLET = "http://db4.clusternet:8080/iqube-testing/IQubeXmlRpcServlet"

STATIC_SQUASHED_ROOT = '/code/iqportal/static'

WRITABLE_DIRECTORY = '/writable/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'
CONTACT_IMPORT_DIR = os.path.join(WRITABLE_DIRECTORY, 'contacts/')

EMAIL_SUBJECT_PREFIX = '[iqportal-local] '
EMAIL_HOST="vm.office"

LOGGER_SYSLOG_LEVEL = logging.DEBUG

VIRTUAL_DATE = True

SITE_NAME = 'Testing site'
SHOW_SITE_NAME = True

USE_MOCK_FILES = True

REDIS_SERVER = {
    'host': 'redis'
}

MEMCACHED_SERVER = 'memcached:11211'

ELASTICSEARCH_SERVER = 'elasticsearch'

