# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
Settings for the IQPortal Django project
"""

from basesoft.settings.settings import *
#from pvcycle.settings.settings import *
#from we.settings.settings import *
from iqportal.tnt.settings.settings import *
from blackbox.settings.settings import *
from epr.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

# for now, only blackbox2
from basesoft.settings.debug import add_test_apps
INSTALLED_APPS = BASE_APPS + WEEE_APPS + EPR_APPS + BLACKBOX_APPS + UAT_APPS + EPR_UAT + BLACKBOX_UAT
add_test_apps(INSTALLED_APPS)

DB_CONNSTR = 'mysql://iqportaltesting:cuNucR9T@db.clusternet:3306/iqportal_testing?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportaltest_ro:cuNucR9T@db-ro.clusternet:3306/iqportal_testing?charset=utf8'

BASE_URL = 'http://iqportal-testing.basesoft.com/';

# Trac DB connstr to make custom datasource for searchable overviews
TRAC_CONNSTR = 'http://IQPortal:m8metrU3@trac.iqportal.basesoft.com/login/xmlrpc'
TRAC_IQPORTAL_VERSION = 'testing'
TRAC_DB_CONNSTR = 'mysql://trac:tePRedutha2a@db.clusternet:3306/trac_iqportal?charset=utf8'
TRAC_SOAP_URL = None # FIXME, enable this when stable is available 'https://iqportal.basesoft.com/basesoft.web.core/soap/'

EMAIL_SUBJECT_PREFIX = '[iqportal-testing] '

EMAIL_HOST_TNT = "82.199.92.138"
EMAIL_PORT_TNT = 5025

VIRTUAL_DATE = True

# Arvato settings
#from iqportal.client import arvato
#ARVATO_LOCAL_PATH = os.path.join(TMP_FILE_REPOSITORY, 'arvato')
#ARVATO_GET_XML_CMD = '%s %s' % (os.path.join(arvato.__path__[0], 'bin', 'arvato_get_sftp.sh'), ARVATO_LOCAL_PATH)
#ARVATO_LICENSE_NAME = 'Asus'

SITE_NAME = 'Testing site'
SHOW_SITE_NAME = True

USE_MOCK_FILES = True

EMAIL_HOST = 'mail.clusternet'

