# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
Settings for the IQPortal Django project
"""

from basesoft.settings.settings import *
from blackbox.settings.settings import *
from epr.settings.settings import *

DEBUG = False # FIXME: set True
TEMPLATE_DEBUG = DEBUG

INSTALLED_APPS = BASE_APPS + WEEE_APPS + EPR_APPS + BLACKBOX_APPS + UAT_APPS + EPR_UAT

DB_CONNSTR = 'mysql://iqportal:iqportal@db.vclusternet:3306/iqportal_testing?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportal_ro:iqportal@db-ro.vclusternet:3306/iqportal_testing?charset=utf8'

BASE_URL = 'http://http://iqportal-virtual.basesoft.com/'

EMAIL_SUBJECT_PREFIX = '[iqportal-virtual] '

VIRTUAL_DATE = True

EMAIL_HOST = 'mail.vclusternet'
