from basesoft.web.contrib.license import models as license_models
from django.utils.translation import ugettext as _

def app_permissions_category():
    """
    Returns a category for all permissions defined for this app
    """

    return license_models.PermissionCategory(u'CBS Data')

def app_permissions():
    """
    The permissions used within this application. Can be sync'd with the
    `iqsyncpermissions` command.
    """
    return [


        #permission for view and manage cbsdata
        license_models.Permission(u'view_cbs_data', u"""
                    This gives the right to view the cbs data.
                    """, _("View CBS data")),
        license_models.Permission(u'manage_cbs_data', u"""
                    This gives the right to manage the cbs database.
                    """, _("Manage CBS data")),

    ]