
from django.utils.translation import ugettext_lazy as _
from basesoft.web.contrib.dashboard.controllers import DashboardWidgetStateController, DashboardWidgetCQStateController
from basesoft.util.ordered_dict import OrderedDict


class OxfordDataWidget(DashboardWidgetStateController):
    """
    Oxford Data Widget
    """

    name = 'oxford_data_widget'
    label = _('Oxford Data')
    category = 'IQReport'
    permissions = ['view_oxford_data']
    classname = 'palette_group__menu--iqreport'

widgets_mapper = OrderedDict([
     ('OxfordDataWidget', OxfordDataWidget),

])
