from basesoft.web.contrib.license import models as license_models
from django.utils.translation import ugettext as _

def app_permissions_category():
    """
    Returns a category for all permissions defined for this app
    """

    return license_models.PermissionCategory(u'Oxford Data')

def app_permissions():
    """
    The permissions used within this application. Can be sync'd with the
    `iqsyncpermissions` command.
    """
    return [


        #permission for view and manage oxforddata
        license_models.Permission(u'view_oxford_data', u"""
                    This gives the right to view the oxford data.
                    """, _("View Oxford data")),
        license_models.Permission(u'manage_oxford_data', u"""
                    This gives the right to manage the oxford database.
                    """, _("Manage Oxford data")),

    ]
